Index: /extensions/stripped_responsive/admin/admin.inc.php
===================================================================
--- /extensions/stripped_responsive/admin/admin.inc.php	(revision 29452)
+++ /extensions/stripped_responsive/admin/admin.inc.php	(revision 29453)
@@ -12,11 +12,9 @@
 
 	$config['themeStyle']=$_POST['f_themeStyle'];
-	$config['hideMenu']=isset($_POST['f_hideMenu']);
-	$config['animatedMenu']=isset($_POST['f_animatedMenu']);
 	$config['noLowercase']=!isset($_POST['f_forceLowercase']);
-	$config['albumType']=$_POST['f_albumType'];
 	$config['albumFrame']=isset($_POST['f_albumFrame']);
 	$config['thumbFrame']=isset($_POST['f_thumbFrame']);
 	$config['showThumbLegend']=isset($_POST['f_showThumbLegend']);
+	$config['menuOnRight']=isset($_POST['f_menuOnRight']);
 
 	$config['showTitleOnBrowsePath']=isset($_POST['f_showTitleOnBrowsePath']);
Index: /extensions/stripped_responsive/admin/admin.tpl
===================================================================
--- /extensions/stripped_responsive/admin/admin.tpl	(revision 29452)
+++ /extensions/stripped_responsive/admin/admin.tpl	(revision 29453)
@@ -17,26 +17,8 @@
 				</label></li>
 				<li><label>
-					<span class="property">{'Hide menu by default on category page'|@translate}</span>&nbsp;
-					<input type="checkbox" name="f_hideMenu" {if $options.hideMenu}checked{/if}>
-				</label></li>
-				<li><label>
-					<span class="property">{'Animate menu'|@translate}</span>&nbsp;
-					<input type="checkbox" name="f_animatedMenu" {if $options.animatedMenu}checked{/if}>
-				</label></li>
-				<li><label>
 					<span class="property">{'Force text to lowercase'|@translate}</span>&nbsp;
 					<input type="checkbox" name="f_forceLowercase" {if !($options.noLowercase)}checked{/if}>
 				</label></li>
 				<li><label>
-					<span class="property">{'Album list layout'|@translate}</span>&nbsp;
-					<select name="f_albumType" style="min-width:150px;">
-						<option value="responsive" {if ($options.albumType=="responsive")}selected{/if}>{'Responsive (description beside thumbnail)'|@translate}</option>
-						<option value="small" {if ($options.albumType=="small")}selected{/if}>{'5 albums per row (no album description)'|@translate}</option>
-						<option value="3perline" {if ($options.albumType=="3perline")}selected{/if}>{'3 albums per row (description below thumbnail)'|@translate}</option>
-						<option value="2perline" {if ($options.albumType=="2perline")}selected{/if}>{'2 albums per row (description beside thumbnail)'|@translate}</option>
-						<option value="1perline" {if ($options.albumType=="1perline")}selected{/if}>{'1 album per row (description beside thumbnail)'|@translate}</option>
-					</select>
-				</label></li>
-				<li><label>
 					<span class="property">{'Display frame around albums'|@translate}</span>&nbsp;
 					<input type="checkbox" name="f_albumFrame" {if $options.albumFrame}checked{/if}>
@@ -49,4 +31,8 @@
 					<span class="property">{'Show thumbnail caption'|@translate}</span>&nbsp;
 					<input type="checkbox" name="f_showThumbLegend" {if $options.showThumbLegend}checked{/if}>
+				</label></li>
+				<li><label>
+					<span class="property">{'Menu on the right'|@translate}</span>&nbsp;
+					<input type="checkbox" name="f_menuOnRight" {if $options.menuOnRight}checked{/if}>
 				</label></li>
 			</ul>
Index: /extensions/stripped_responsive/admin/maintain.inc.php
===================================================================
--- /extensions/stripped_responsive/admin/maintain.inc.php	(revision 29452)
+++ /extensions/stripped_responsive/admin/maintain.inc.php	(revision 29453)
@@ -10,12 +10,10 @@
 	'paramVersion' 					=> '2.3',
 	
-	'themeStyle'					=> 'black',
-	'hideMenu'						=> true,
-	'animatedMenu'					=> true,
+	'themeStyle'					=> 'original',
 	'noLowercase'					=> false,
-	'albumType'						=> 'responsive',
-	'albumFrame'					=> true,
-	'thumbFrame'					=> true,
+	'albumFrame'					=> false,
+	'thumbFrame'					=> false,
 	'showThumbLegend'				=> false,
+    'menuOnRight'                   => true,
 
 	'showTitleOnBrowsePath'			=> false,
Index: /extensions/stripped_responsive/fix-ie5-ie6.css
===================================================================
--- /extensions/stripped_responsive/fix-ie5-ie6.css	(revision 29452)
+++ /extensions/stripped_responsive/fix-ie5-ie6.css	(revision 29453)
@@ -17,8 +17,4 @@
 
 /* Issues in IE from 5 to 6 only not to be used with IE7 */
-
-#menuswitcher {
-	display:none;
-}
 
 #the_page,
Index: /extensions/stripped_responsive/js/scripts-tcp.js
===================================================================
--- /extensions/stripped_responsive/js/scripts-tcp.js	(revision 29452)
+++ /extensions/stripped_responsive/js/scripts-tcp.js	(revision 29453)
@@ -3,51 +3,4 @@
 // scripts Category Page ------------------------------------------------------------------------------------------------------------
 
-	// menu switcher script from Simple Theme
-	
-	var delay;
-	var animation_webkit = true;
-	if (options.animatedMenu) {
-		delay = "slow";
-	} else {
-		delay = 0;
-	}
-
-	jQuery("#menuswitcher").click(function(){
-		if (jQuery("#menubar").is(":hidden")) {
-			if (delay == 0) {
-				jQuery("#menubar").show();
-				tnb_resize();
-			} else {
-				if (animation_webkit) {
-					jQuery("#menubar").show("blind",{},delay, function (){tnb_resize();});
-				} else {
-					jQuery("#menubar").show(delay, function (){tnb_resize();});
-				}
-			}
-			jQuery.cookie('side-menu', 'showing', {path: "/"});
-			if (jQuery("#thumbnails_block2").length != 0) tnb_resize();
-			return false;
-		} else {
-				if (animation_webkit) {
-					jQuery("#menubar").hide("blind",{},delay, function (){tnb_resize();});
-				} else {
-					jQuery("#menubar").hide(delay, function (){tnb_resize();});
-				}
-			jQuery.cookie('side-menu', 'hiding', {path: "/"});
-		return false;
-		}
-	});
-
-	// creates a variable with the contents of the cookie side-menu
-	var sidemenu = jQuery.cookie('side-menu');
-	
-	// if cookie says the menu is hiding, keep it hidden!
-	if (sidemenu == 'hiding') {
-		jQuery("#menubar").hide();
-	}
-	if (sidemenu == 'showing') {
-		jQuery("#menubar").show();
-	}
-  
 	// resize thumbnail block
 	jQuery(window).resize(function() { tnb_resize(); });
Index: /extensions/stripped_responsive/template/about.tpl
===================================================================
--- /extensions/stripped_responsive/template/about.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/about.tpl	(revision 29453)
@@ -2,7 +2,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{'About'|@translate}
@@ -11,5 +8,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		{include file='infos_errors.tpl'} 
@@ -28,4 +27,7 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div style="clear: both;"></div>
 </div>
Index: /extensions/stripped_responsive/template/comments.tpl
===================================================================
--- /extensions/stripped_responsive/template/comments.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/comments.tpl	(revision 29453)
@@ -2,7 +2,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{'User comments'|@translate}
@@ -11,5 +8,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		<div class="content_block">
@@ -65,3 +64,6 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div> <!-- content -->
Index: /extensions/stripped_responsive/template/header.tpl
===================================================================
--- /extensions/stripped_responsive/template/header.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/header.tpl	(revision 29453)
@@ -61,9 +61,5 @@
 	{if !$stripped_responsive.thumbFrame} ntf{/if}
 	{if !$stripped_responsive.albumFrame} naf{/if}
-	{if ($stripped_responsive.albumType == 'small')} ats{else} atd{/if}
-	{if ($stripped_responsive.albumType == '1perline')} at1{/if}
-	{if ($stripped_responsive.albumType == '2perline')} at2{/if}
-	{if ($stripped_responsive.albumType == '3perline')} at3{/if}
-	{if ($stripped_responsive.albumType == 'responsive')} atr{/if}
+	atd atr
 "{/strip}>
 <div id="the_page">
Index: /extensions/stripped_responsive/template/identification.tpl
===================================================================
--- /extensions/stripped_responsive/template/identification.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/identification.tpl	(revision 29453)
@@ -2,7 +2,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{'Identification'|@translate}
@@ -11,5 +8,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		<div class="content_block">
@@ -57,3 +56,6 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div> <!-- content -->
Index: /extensions/stripped_responsive/template/index.tpl
===================================================================
--- /extensions/stripped_responsive/template/index.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/index.tpl	(revision 29453)
@@ -1,5 +1,4 @@
 <div class="titrePage">
 	<div class="browsePath">
-		<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
 		<h2>{$TITLE}</h2>
 	</div>
@@ -27,6 +26,8 @@
 	{if ($GMaps_loaded)}<div id="text_gmaps" style="display:none">{'GMap'|@translate}</div>{/if}
 </div>
-<div id="content" {if !$stripped_responsive.hideMenu}class="menuShown"{/if}>
-	{$MENUBAR}
+<div id="content" class="menuShown">
+    {if !$stripped_responsive.menuOnRight}
+	  {$MENUBAR}
+    {/if}
 	<div id="content_cell">
 		{include file='infos_errors.tpl'} 
@@ -101,4 +102,7 @@
 		{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}<div class="subcontent">{$PLUGIN_INDEX_CONTENT_AFTER}</div>{/if}
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {$MENUBAR}
+    {/if}
 	<div style="clear: both;"></div>
 </div> 
Index: /extensions/stripped_responsive/template/nbm.tpl
===================================================================
--- /extensions/stripped_responsive/template/nbm.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/nbm.tpl	(revision 29453)
@@ -2,7 +2,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{'Notification'|@translate}
@@ -11,5 +8,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		<div class="content_block">
@@ -17,3 +16,6 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div>
Index: /extensions/stripped_responsive/template/notification.tpl
===================================================================
--- /extensions/stripped_responsive/template/notification.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/notification.tpl	(revision 29453)
@@ -6,7 +6,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{'Notification'|@translate}
@@ -15,5 +12,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		<div class="content_block notification">
@@ -25,3 +24,6 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div>
Index: /extensions/stripped_responsive/template/password.tpl
===================================================================
--- /extensions/stripped_responsive/template/password.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/password.tpl	(revision 29453)
@@ -2,7 +2,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{$title}
@@ -11,5 +8,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		<div class="content_block">
@@ -58,3 +57,6 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div> <!-- content -->
Index: /extensions/stripped_responsive/template/profile.tpl
===================================================================
--- /extensions/stripped_responsive/template/profile.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/profile.tpl	(revision 29453)
@@ -2,7 +2,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{'Profile'|@translate}
@@ -11,5 +8,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		<div class="content_block">
@@ -18,3 +17,6 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div> <!-- content -->
Index: /extensions/stripped_responsive/template/register.tpl
===================================================================
--- /extensions/stripped_responsive/template/register.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/register.tpl	(revision 29453)
@@ -2,7 +2,4 @@
  <div class="browsePath">
   <h2>
-   {if isset($MENUBAR)}
-    <span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-   {/if}
    <a href="{$U_HOME}">{'Home'|@translate}</a>
    {$LEVEL_SEPARATOR}{'Registration'|@translate}
@@ -11,5 +8,7 @@
 </div>
 <div id="content">
- {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
  <div id="content_cell">
   <div class="content_block">
@@ -60,3 +59,6 @@
   </div>
  </div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div> <!-- content -->
Index: /extensions/stripped_responsive/template/search.tpl
===================================================================
--- /extensions/stripped_responsive/template/search.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/search.tpl	(revision 29453)
@@ -2,7 +2,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{'Search'|@translate}
@@ -18,5 +15,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		<div class="content_block">
@@ -127,3 +126,6 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div> <!-- content -->
Index: /extensions/stripped_responsive/template/tags.tpl
===================================================================
--- /extensions/stripped_responsive/template/tags.tpl	(revision 29452)
+++ /extensions/stripped_responsive/template/tags.tpl	(revision 29453)
@@ -2,7 +2,4 @@
 	<div class="browsePath">
 		<h2>
-			{if isset($MENUBAR)}
-				<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
-			{/if}
 			<a href="{$U_HOME}">{'Home'|@translate}</a>
 			{$LEVEL_SEPARATOR}{'Tags'|@translate}
@@ -22,5 +19,7 @@
 </div>
 <div id="content">
-	{if isset($MENUBAR)}{$MENUBAR}{/if}
+    {if !$stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 	<div id="content_cell">
 		<div class="content_block">
@@ -59,3 +58,6 @@
 		</div>
 	</div>
+    {if $stripped_responsive.menuOnRight}
+	  {if isset($MENUBAR)}{$MENUBAR}{/if}
+    {/if}
 </div> <!-- content -->
Index: /extensions/stripped_responsive/theme-black.css
===================================================================
--- /extensions/stripped_responsive/theme-black.css	(revision 29452)
+++ /extensions/stripped_responsive/theme-black.css	(revision 29453)
@@ -27,9 +27,4 @@
 .content_block a:hover  	{ color:#fff;}
 
-/* Menubar ------------------------------------------------------------------------------------- */
-
-#menuswitcher 			{ color: #999;}
-#menuswitcher:hover 		{ color: #ccc;}
-
 /* Category thumbnails ------------------------------------------------------------------------- */
 .atr .thumbnailCategory .description {
@@ -44,14 +39,6 @@
 
 .thumbnailCategories li 				{ color:#999;}
-.ats .thumbnailCategories li 			{ background: transparent url(images/back_30.png) 0 0 no-repeat;}
-.at3 .thumbnailCategories li 			{ background: transparent url(images/m_back_30.png) 0 0 no-repeat;}
-.at2 .thumbnailCategories li 			{ background: transparent url(images/l_back_30.png) 0 0 no-repeat;}
-.at1 .thumbnailCategories li 			{ background: transparent url(images/xl_back_30.png) 0 0 no-repeat;}
 
 .thumbnailCategories li:hover 		{ color:#666;}
-.ats .thumbnailCategories li:hover	{ background: transparent url(images/back_30.png) 0 -170px no-repeat;}
-.at3 .thumbnailCategories li:hover 	{ background: transparent url(images/m_back_30.png) 0 -290px no-repeat;}
-.at2 .thumbnailCategories li:hover 	{ background: transparent url(images/l_back_30.png) 0 -170px no-repeat;}
-.at1 .thumbnailCategories li:hover 	{ background: transparent url(images/xl_back_30.png) 0 -170px no-repeat;}
 
 .thumbnailCategory .illustration img 			{ border: 1px solid #555;}
Index: /extensions/stripped_responsive/theme-original.css
===================================================================
--- /extensions/stripped_responsive/theme-original.css	(revision 29452)
+++ /extensions/stripped_responsive/theme-original.css	(revision 29453)
@@ -27,9 +27,4 @@
 .content_block a:hover 	{ color:#fff;}
 
-/* Menubar ------------------------------------------------------------------------------------- */
-
-#menuswitcher 			{ color: #999;}
-#menuswitcher:hover 		{ color: #ccc;}
-
 /* Category thumbnails ------------------------------------------------------------------------- */
 
@@ -45,14 +40,6 @@
 
 .thumbnailCategories li 				{ color:#999;}
-.ats .thumbnailCategories li 			{ background: transparent url(images/back_30.png) 0 0 no-repeat;}
-.at3 .thumbnailCategories li 			{ background: transparent url(images/m_back_30.png) 0 0 no-repeat;}
-.at2 .thumbnailCategories li 			{ background: transparent url(images/l_back_30.png) 0 0 no-repeat;}
-.at1 .thumbnailCategories li 			{ background: transparent url(images/xl_back_30.png) 0 0 no-repeat;}
 
 .thumbnailCategories li:hover 		{ color:#666;}
-.ats .thumbnailCategories li:hover	{ background: transparent url(images/back_30.png) 0 -170px no-repeat;}
-.at3 .thumbnailCategories li:hover 	{ background: transparent url(images/m_back_30.png) 0 -290px no-repeat;}
-.at2 .thumbnailCategories li:hover 	{ background: transparent url(images/l_back_30.png) 0 -170px no-repeat;}
-.at1 .thumbnailCategories li:hover 	{ background: transparent url(images/xl_back_30.png) 0 -170px no-repeat;}
 
 .thumbnailCategory .illustration img 			{ border: 1px solid #555;}
Index: /extensions/stripped_responsive/theme-white.css
===================================================================
--- /extensions/stripped_responsive/theme-white.css	(revision 29452)
+++ /extensions/stripped_responsive/theme-white.css	(revision 29453)
@@ -26,9 +26,4 @@
 .content_block a			{color:#222;}
 .content_block a:hover 	{color:#00;}
-
-/* Menubar ------------------------------------------------------------------------------------- */
-
-#menuswitcher 		{ color: #666;}
-#menuswitcher:hover 	{ color: #111;}
 
 /* Category thumbnails ------------------------------------------------------------------------- */
Index: /extensions/stripped_responsive/theme.css
===================================================================
--- /extensions/stripped_responsive/theme.css	(revision 29452)
+++ /extensions/stripped_responsive/theme.css	(revision 29453)
@@ -287,16 +287,4 @@
 /* Menubar ------------------------------------------------------------------------------------- */
 
-#menuswitcher {
-	cursor: pointer;
-	display:none;
-}
-
-.js #menubar {
-/*	display:none;*/
-}
-.js .menuShown #menubar {
-	display: block;
-}
-
 #menubar {
 	width:159px;
@@ -386,8 +374,4 @@
 }
 
-/*.ats ul.thumbnailCategories li { width: 170px; height: 170px;}*/
-/*.at3 ul.thumbnailCategories li { width: 290px; height: 290px;}*/
-.at2 ul.thumbnailCategories li { width: 440px; height: 170px;}
-.at1 ul.thumbnailCategories li { width: 890px; height: 170px;}
 .atr ul.thumbnailCategories li { width: 300px; height: 300px;}
 @media (min-width: 778px) {
@@ -401,8 +385,4 @@
 }
 
-.ats .stuffs_block .personal_block ul.thumbnailCategories li { width:170px!important;}
-.at3 .stuffs_block .personal_block ul.thumbnailCategories li { width:273px!important; height:273px;}
-.at2 .stuffs_block .personal_block ul.thumbnailCategories li { width:415px!important;}
-.at1 .stuffs_block .personal_block ul.thumbnailCategories li { width:840px!important;}
 .atr .stuffs_block .personal_block ul.thumbnailCategories li { width:273px!important; height:273px;}
 
@@ -420,20 +400,8 @@
 }
 
-.ats .thumbnailCategory .illustration { height:130px;}
-.at3 .thumbnailCategory .illustration { height:130px;}
-.at2 .thumbnailCategory .illustration { height:170px;}
-.at1 .thumbnailCategory .illustration { height:170px;}
-.at2 .thumbnailCategory .illustration, .at1 .thumbnailCategory .illustration  { float: left;}
-.at3 .thumbnailCategory .illustration a { width:280px;height:280px;}
-.at3 .stuffs_block .thumbnailCategory .illustration a { width:263px;}
-.at3 .thumbnailCategory .illustration a  { vertical-align:bottom;}
 .atr .thumbnailCategory .illustration a { width:280px;height:280px;}
 .atr .stuffs_block .thumbnailCategory .illustration a { width:263px;}
 .atr .thumbnailCategory .illustration a  { vertical-align:bottom;}
 
-.ats .thumbnailCategory .illustration { margin:5px 0 0;}
-.at3 .thumbnailCategory .illustration { margin:5px 5px 0 5px;}
-.at2 .thumbnailCategory .illustration { margin:0 5px;}
-.at1 .thumbnailCategory .illustration { margin:0 10px;}
 .atr .thumbnailCategory .illustration { margin:5px 5px 0 5px;}
 
@@ -452,8 +420,4 @@
 }
 
-.ats .thumbnailCategory .illustration img { max-height:128px;}
-.at3 .thumbnailCategory .illustration img { max-height:128px;}
-.at2 .thumbnailCategory .illustration img { max-height:160px;}
-.at1 .thumbnailCategory .illustration img { max-height:160px;}
 .atr .thumbnailCategory .illustration img { max-height:286px;}
 @media (min-width: 778px) {
@@ -476,5 +440,4 @@
 }
 
-.ats .thumbnailCategory .description p { display:none!important;}
 .atd .thumbnailCategory .description .text p.dates { display:none!important;}
 
@@ -498,23 +461,4 @@
 }	
 
-.ats .thumbnailCategory .description {
-	overflow: hidden;
-	display: table-cell;
-	vertical-align:middle;
-	width:150px;
-	height:35px;
-	padding:0 5px;
-}
-
-.at3 .thumbnailCategory .description {
-	overflow: hidden;
-	display: inline-block;
-	width: 266px;
-/*	height: 150px;*/
-	height: 75px;
-	margin: -76px 7px 15px 6px;
-	padding: 0 5px;
-    position: relative;
-}
 .atr .thumbnailCategory .description {
 	overflow: hidden;
@@ -543,28 +487,6 @@
 }
 
-.at3 .stuffs_block .thumbnailCategory .description { width:263px;}
 .atr .stuffs_block .thumbnailCategory .description { width:263px;}
 
-.at2 .thumbnailCategory .description {
-	overflow: hidden;
-	display: inline-block;
-	width: 250px;
-	height: 155px;
-	margin: 10px 10px 5px 0;
-	padding:0;
-}
-
-.at1 .thumbnailCategory .description {
-	overflow: hidden;
-	display: inline-block;
-	width: 680px;
-	height: 155px;
-	margin: 10px 0;
-	padding:0;
-}
-
-.at3 .stuffs_block .personal_block .thumbnailCategory .description { width:263px;}
-.at2 .stuffs_block .personal_block .thumbnailCategory .description { width:225px;}
-.at1 .stuffs_block .personal_block .thumbnailCategory .description { width:630px;}
 .atr .stuffs_block .personal_block .thumbnailCategory .description { width:263px;}
 
@@ -574,12 +496,4 @@
 	font-variant:normal;
 }
-
-.ats .thumbnailCategory .description h3 {
-	font-size:107.692%;
-	line-height:16px;
-}
-
-.at2 .thumbnailCategory .description h3 { text-align:left;}
-.at1 .thumbnailCategory .description h3 { text-align:left;}
 
 .atd .thumbnailCategory .description h3 {
@@ -606,8 +520,4 @@
 	word-wrap: break-word;
 }
-
-.at1 li.odd1 .thumbnailCategory .illustration {float:right;}
-.at1 li.odd0 .thumbnailCategory .description {margin-right:15px;}
-.at1 li.odd1 .thumbnailCategory .description {margin-left:15px;}
 
 /* Images Thumbnails --------------------------------------------------------------------------- */