Index: /trunk/plugins/TakeATour/language/fr_FR/tour_first_contact.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/fr_FR/tour_first_contact.lang.php	(revision 29498)
+++ /trunk/plugins/TakeATour/language/fr_FR/tour_first_contact.lang.php	(revision 29499)
@@ -12,5 +12,5 @@
 $lang['first_contact_title17'] = '';
 $lang['first_contact_title23'] = '';
-$lang['first_contact_title29'] = 'Configuration->Options->General';
+$lang['first_contact_title29'] = 'Configuration » Options » Général';
 $lang['first_contact_title30'] = '';
 $lang['first_contact_title31'] = '';
@@ -21,17 +21,17 @@
 $lang['first_contact_title39'] = 'Plugins';
 $lang['first_contact_title43'] = 'Ce fut un grand moment';
-$lang['first_contact_stp22'] = 'Comme pour une image, vous pouvez éditer ici les propriété d\'un album';
+$lang['first_contact_stp22'] = 'Comme pour une photo, vous pouvez éditer ici les propriété d\'un album';
 $lang['first_contact_stp2'] = 'Le lien est ici. Cliquez sur Suivant pour continuer';
 $lang['first_contact_stp11'] = 'Vous pouvez sélectionner ici une ou plusieurs photos';
-$lang['first_contact_stp23'] = 'Verrouiller un album signifie que seuls les administrateurs pourront afficher cet album. Cela est habituellement utilisé quand un administrateur modifie les propriétés d\'un album ou ne veut pas publier immédiatement l\'album';
-$lang['first_contact_stp20'] = 'Lorsque votre souris survole un album, les liens et informations apparaissent. Quand vous glissez/déposez un album (un block arrondi), vous changez sa position. Vous pouvez enregistrer ou annuler cet ordre d\'affichage manuel.';
-$lang['first_contact_stp29'] = 'Sur cette première page, vous renseignerez l\'essentiel de la configuration de base de votre galerie.';
+$lang['first_contact_stp23'] = 'Verrouiller un album signifie que seuls les administrateurs pourront afficher cet album. C\'est pratique lorsque l\'administrateur prépare l\'album avant sa publication.';
+$lang['first_contact_stp20'] = 'Lorsque votre souris survole un album, les liens et informations apparaissent. Quand vous glissez/déposez un album (un bloc arrondi), vous changez sa position. Vous pouvez enregistrer ou annuler cet ordre d\'affichage manuel.';
+$lang['first_contact_stp29'] = 'Sur cette première page, vous renseignerez l\'essentiel de la configuration de base de votre Piwigo.';
 $lang['first_contact_stp30'] = 'Commençons par changer le titre';
 $lang['first_contact_stp32'] = 'Maintenant, enregistrez vos modifications';
-$lang['first_contact_stp16'] = 'ici pour ajouter ou supprimer la photo des albums. Le lien est virtuel, aucune photo ne sera physiquement supprimée.';
+$lang['first_contact_stp16'] = 'ici pour associer ou dissocier la photo des albums. Le lien est virtuel, aucune photo ne sera physiquement supprimée.';
 $lang['first_contact_stp15'] = 'Sur cette page, vous pouvez éditer toutes les propriétés d\'une photo, par exemple...';
-$lang['first_contact_stp13'] = 'Vous pouvez éditer les descriptions ou autres depuis la gestion par lots. Mais pour le moment, restons en mode global';
-$lang['first_contact_stp14'] = 'Nous allons maintenant voir la page d\'édition d\'un image. Cette page est accessible d\'ici mais aussi depuis la page publique d\'une image quand vous êtes connecté comme administrateur. Cliquez sur Éditer ou passez au suivant';
-$lang['first_contact_stp10'] = 'Voici le lien pour accéder directement à votre caddie : c\'est un outil d\'administration pour ajouter facilement des images, les ordonner, les éditer dans la gestion par lot. Vous pouvez ajouter des photos au caddy depuis la page photo publique quand vous êtes connecté en tant qu\'administrateur, ou en utilisant l\'action "Ajouter au caddie" de la gestion par lot';
+$lang['first_contact_stp13'] = 'Vous pouvez éditer les descriptions, tags et autres propriétés depuis la gestion par lot en mode unitaire. Mais pour le moment, restons en mode global.';
+$lang['first_contact_stp14'] = 'Nous allons maintenant voir la page d\'édition d\'une photo. Cette page est accessible d\'ici mais aussi depuis la page publique d\'une photo quand vous êtes connecté en tant qu\'administrateur. Cliquez sur Éditer ou passez au suivant.';
+$lang['first_contact_stp10'] = 'Voici le lien pour accéder directement à votre caddie : c\'est un outil d\'administration pour ajouter facilement des photos, les ordonner et les éditer dans la gestion par lot. Vous pouvez ajouter des photos au panier depuis la page photo publique quand vous êtes connecté en tant qu\'administrateur, ou en utilisant l\'action "Ajouter au panier" de la gestion par lot.';
 $lang['first_contact_stp1'] = 'Salut ! Je serai votre guide pour la découverte de Piwigo. Merci de suivre mes instructions, et de cliquer sur Suivant (ou d\'utiliser les flèches de votre clavier) pour naviguer. Si vous affichez une autre page de l\'administration, vous serez redirigé vers la page courante de la visite. Si vous êtes coincés, afficher <em>Plugins » Take A Tour</em> terminera la visite. Commençons par ajouter des images !';
 $lang['first_contact_stp8'] = 'Allons les éditer ! Cliquez sur le lien. Si vous ne le voyez pas, cliquez sur Précédent pour ajouter au moins 2 photos.';
@@ -47,6 +47,6 @@
 $lang['first_contact_title37'] = 'Thèmes';
 $lang['first_contact_title38'] = 'Plugins';
-$lang['first_contact_title9'] = 'Gestion par lots';
-$lang['first_contact_stp37'] = 'Pour installer de nouveaux thèmes, vous pouvez les télécharger directement depuis l\'onglet \'Ajouter un thème\'. Seul les thèmes compatibles avec votre version de Piwigo sont affichés. <br/>Maintanant, allons découvrir les Plugins ! Cliquez sur Plugins->Gestion';
+$lang['first_contact_title9'] = 'Gestion par lot';
+$lang['first_contact_stp37'] = 'Pour installer de nouveaux thèmes, vous pouvez les télécharger directement depuis l\'onglet \'Ajouter un thème\'. Seul les thèmes compatibles avec votre version de Piwigo sont affichés. <br/>Maintenant, allons découvrir les Plugins ! Cliquez sur Plugins->Gestion';
 $lang['first_contact_stp38'] = 'Les plugins sont un moyen simple de personnaliser votre Piwigo. Ils peuvent offrir à peu près tout ce que vous pouvez imaginer, du simple ajout de texte à des fonctionnalités plus complètes, comme le plugin Connunity qui permet aux utilisateurs non administrateurs d\'envoyer des photos sans savoir accès à l\'administration.';
 $lang['first_contact_stp39'] = 'Sur cette première page sont listés les plugins installés. En haut sont listés les plugins activés, qui sont utilisés. En bas les plugins qui sont installés dans le répertoire /plugins mais ne sont pas utilisés. Supprimer un plugin signifie que toutes les traces du plugin seront supprimées (fichiers, options, etc...). Pour la plupart des plugins, la désactivation conservera les données enregistrées par ces plugins.';
@@ -54,8 +54,8 @@
 $lang['first_contact_stp40'] = 'Me voici ! Ne me désactivez pas maintenant, mais observez que vous pouvez désactiver ou réinitialiser un plugin activé.';
 $lang['first_contact_stp41'] = 'Vous pouvez voir dans le dernier onglet les plugins disponibles pour votre version de Piwigo. Il existe des centaines de plugins ici !';
-$lang['first_contact_stp43'] = 'Cette visite est un peu longue, mais nous n\'avons vu qu\'une petite partie des capacités de Piwigo. Tout a une fin, cet apperçu est terminé. <br/>Vous pouvez approfondir vos connaissances sur Piwigo en choisissant une autre visite ou en lisant notre documentation sur le site web piwigo.org.';
-$lang['first_contact_stp6'] = 'Vous voyez que les photos sont listées. Ajoutez au moins 2 images et quand vous êtes prêt, cliquez sur le bouton Démarrer le téléchargement';
-$lang['first_contact_stp7'] = 'Vous voyez ici une synthèse de votre envoi d\'images. Observez que Piwigo a généré de lui même les miniatures. Vous pouvez maintenant ajouter plus de photos avec le lien en bas, éditer les propriétés d\'une image en cliquant dessus ou cliquer pour gérer toutes les photos depuis la gestion par lots...';
-$lang['first_contact_stp9'] = 'Vous êtes maintenant dans la gestion par lots d\'où vous pouvez éditer simultanément de multiples images. Ici le caddie apparaît comme un filtre car vous venez de la page de résultat d\'envoi de fichiers.';
+$lang['first_contact_stp43'] = 'Cette visite fut un peu longue, mais nous n\'avons vu qu\'une petite partie des possibilités de Piwigo. Tout a une fin, cet aperçu est terminé. <br/><br/>Vous pouvez approfondir vos connaissances sur Piwigo en choisissant une autre visite ou en lisant notre documentation sur le site web piwigo.org.';
+$lang['first_contact_stp6'] = 'Vous voyez que les photos sont listées. Ajoutez au moins 2 photos et quand vous êtes prêt, cliquez sur le bouton "Démarrer le transfert"';
+$lang['first_contact_stp7'] = 'Vous voyez ici une synthèse de votre envoi de photos. Observez que Piwigo a généré de lui même les miniatures. Vous pouvez maintenant ajouter plus de photos avec le lien en bas, éditer les propriétés d\'une image en cliquant dessus ou cliquer pour gérer toutes les photos depuis la gestion par lot...';
+$lang['first_contact_stp9'] = 'Vous êtes maintenant dans la gestion par lot d\'où vous pouvez éditer plusieurs photos à la fois. Ici le caddie apparaît comme un filtre car vous venez de la page d\'ajout de photos.';
 $lang['first_contact_title1'] = 'Bienvenue dans votre galerie Piwigo';
 $lang['first_contact_title11'] = 'Comment éditer une photo';
@@ -63,7 +63,7 @@
 $lang['first_contact_title18'] = 'Gérer les albums';
 $lang['first_contact_stp3'] = 'Vous ajoutez des photos depuis le premier onglet avec votre navigateur. Les autres onglets sont dédiés aux autres méthodes d\'envoi de photos';
-$lang['first_contact_stp31'] = 'Puis la bannière qui sera affichée en haut de chaque page. Comme vous pouvez le voir, les tags HTML sont autorisés ici. You pouvez aussi utiliser le tag %gallery_title% pour afficher le titre que vous venez de saisir au dessus.';
-$lang['first_contact_stp33'] = 'Un dernier mot à propos des options, la page des \'Préférences invité\' est utilisé pour définir les préférences des utilisateurs non identifiés. <br/>Continuons avec la configuration : cliquez sur Configuration->Thèmes ou sur Suivant.';
-$lang['first_contact_stp28'] = 'Nous allons maintenant observer les options disponibles pour faire  fonctionner Piwigo à votre façon. Cliquez sur Configuration->Options juste sur Suivant.';
+$lang['first_contact_stp31'] = 'Puis la bannière qui sera affichée en haut de chaque page. Comme vous pouvez le voir, les balises HTML sont autorisées ici. Vous pouvez aussi utiliser le mot-clef %gallery_title% pour afficher le titre que vous venez de saisir au dessus.';
+$lang['first_contact_stp33'] = 'Un dernier mot à propos des options, la page des "Préférences invité" est utilisée pour définir les préférences des utilisateurs non identifiés. <br/>Continuons avec la configuration : cliquez sur Configuration->Thèmes ou sur Suivant.';
+$lang['first_contact_stp28'] = 'Voyons voir maintenant les options disponibles pour faire fonctionner Piwigo à votre goût. Cliquez sur Configuration->Options ou juste sur Suivant.';
 $lang['first_contact_stp5'] = 'Ensuite cliquez sur ce bouton pour sélectionner des photos à envoyer, ou bien faites un simple glisser/déposer de vos fichiers.';
 $lang['first_contact_stp35'] = 'Définissez votre thème préféré comme thème par défaut.';