Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 29550)
+++ /trunk/language/it_IT/admin.lang.php	(revision 29551)
@@ -194,4 +194,5 @@
 $lang['Default display'] = 'Visualizzazione predefinita';
 $lang['The gallery URL is not valid.'] = 'L\'URL della galleria non è valido.';
+$lang['General'] = 'Generale';
 $lang['The number of comments a page must be between 5 and 50 included.'] = 'Il numero di commenti per pagina deve essere compreso tra 5 e 50.';
 $lang['Configuration'] = 'Configurazione';
@@ -449,4 +450,5 @@
 $lang['Classic display'] = 'Visualizzazione classica';
 $lang['Hoverbox display'] = 'Visualizzazione durante il passaggio del mouse';
+$lang['Mail address is mandatory for registration'] = 'L\'indirizzo email è obbligatorio per la registrazione';
 $lang['Minimum privacy level'] = 'Livello minimo di privacy';
 $lang['Privacy level'] = 'Livello di privacy';
@@ -800,4 +802,5 @@
 $lang['Zoom'] = 'Zoom';
 $lang['Resize after upload'] = 'Ridimensionare dopo il caricamento';
+$lang['Resize after upload disabled due to the use of GD as graphic library'] = 'Ridimensionamento dopo l\'upload disattivato a causa dell\'uso di GD come libreria grafica';
 $lang['Original Size'] = 'Dimensioni originali';
 $lang['Send connection settings by email'] = 'Inviare gli ID via email';
@@ -944,41 +947,39 @@
 $lang['Purge user cache'] = 'Svuotare la cache utente';
 $lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'Le dimensioni dell\'immagine saranno ridotte a %dx%d pixel.';
-$lang['Resize after upload disabled due to the use of GD as graphic library'] = 'Ridimensionamento dopo l\'upload disattivato a causa dell\'uso di GD come libreria grafica';
+$lang['Mail theme'] = 'Tema email';
 $lang['Select at least one tag'] = 'Selezionare almeno un tag';
 $lang['Basic settings'] = 'Impostazioni base';
-$lang['General'] = 'Generale';
-$lang['Mail theme'] = 'Tema email';
+$lang['Loading...'] = 'Caricamento...';
+$lang['Show %s users'] = 'Mostra %s utenti';
+$lang['No matching user found'] = 'Nessun utente corrispondente trovato';
+$lang['Showing %s to %s of %s users'] = 'Mostra %s a %s di %s utenti';
+$lang['(filtered from %s total users)'] = '(filtrato da %s utenti totali)';
+$lang['No user selected, no action possible.'] = 'Nessun utente selezionato, nessuna azione è possibile.';
+$lang['%d of %d users selected'] = '%d di %d utenti selezionati';
+$lang['No user selected of %d users'] = 'Nessun utente selezionato di %d utenti';
+$lang['All %d users are selected'] = 'Tutti %d utenti sono selezionati';
 $lang['on the %d selected users'] = 'su %d utenti selezionati';
-$lang['Showing %s to %s of %s users'] = 'Mostra %s a %s di %s utenti';
+$lang['User %s added'] = 'Utente %s aggiunto';
 $lang['Registered on %s, %s.'] = 'Registrati su %s, %s.';
-$lang['No user selected of %d users'] = 'Nessun utente selezionato di %d utenti';
+$lang['Last visit on %s, %s.'] = 'Ultima visita su %s, %s.';
+$lang['Change password'] = 'Cambia password';
+$lang['Password updated'] = 'Password aggiornata';
+$lang['Change username'] = 'Cambia nome utente';
+$lang['Update user'] = 'Aggiorna utente';
 $lang['User %s updated'] = 'Utente %s aggiornato';
-$lang['User %s added'] = 'Utente %s aggiunto';
-$lang['Show %s users'] = 'Mostra %s utenti';
 $lang['Users modified'] = 'Utenti modificati';
-$lang['Update user'] = 'Aggiorna utente';
-$lang['Password updated'] = 'Password aggiornata';
-$lang['No user selected, no action possible.'] = 'Nessun utente selezionato, nessuna azione è possibile.';
-$lang['No matching user found'] = 'Nessun utente corrispondente trovato';
-$lang['Loading...'] = 'Caricamento...';
-$lang['Last visit on %s, %s.'] = 'Ultima visita su %s, %s.';
-$lang['All %d users are selected'] = 'Tutti %d utenti sono selezionati';
-$lang['(filtered from %s total users)'] = '(filtrato da %s utenti totali)';
-$lang['%d of %d users selected'] = '%d di %d utenti selezionati';
-$lang['Change username'] = 'Cambia nome utente';
-$lang['Change password'] = 'Cambia password';
+$lang['Open user details'] = 'Aprire dettagli utente';
+$lang['Close user details'] = 'Chiudi dettagli utente';
 $lang['close'] = 'chiudere';
-$lang['Close user details'] = 'Chiudi dettagli utente';
-$lang['Open user details'] = 'Aprire dettagli utente';
 $lang['Activate it now'] = 'Attivalo ora';
 $lang['Allow users to add a link to their website'] = 'Consenti agli utenti di aggiungere un link al loro sito';
-$lang['No and unlock sub-albums'] = 'No e sbloccare sub-albums';
-$lang['file name'] = 'nome file';
-$lang['width & height'] = 'larghezza e altezza';
-$lang['date & time'] = 'data e ora';
+$lang['Impossible to deactivate the default theme.'] = 'Impossibile disattivare il tema predefinito.';
+$lang['Empty caddie'] = 'Carrello vuoto';
+$lang['The settings for the guest are from the %s user'] = 'Le preferenze degli ospiti sono dall\'utente %s';
 $lang['between %s and %s MB'] = 'tra %s e %s MB';
 $lang['based on'] = 'basato su';
-$lang['The settings for the guest are from the %s user'] = 'Le preferenze degli ospiti sono dall\'utente %s';
-$lang['Mail address is mandatory for registration'] = 'L\'indirizzo email è obbligatorio per la registrazione';
-$lang['Impossible to deactivate the default theme.'] = 'Impossibile disattivare il tema predefinito.';
-$lang['Empty caddie'] = 'Carrello vuoto';
+$lang['file name'] = 'nome file';
+$lang['date & time'] = 'data e ora';
+$lang['width & height'] = 'larghezza e altezza';
+$lang['No and unlock sub-albums'] = 'No e sbloccare sub-albums';
+$lang['Upload in progress'] = 'Trasferimento in corso...';