Index: trunk/plugins/TakeATour/language/fr_FR/tour_privacy.lang.php
===================================================================
--- trunk/plugins/TakeATour/language/fr_FR/tour_privacy.lang.php	(revision 29571)
+++ trunk/plugins/TakeATour/language/fr_FR/tour_privacy.lang.php	(revision 29586)
@@ -1,8 +1,8 @@
 <?php
-$lang['privacy_stp8'] = 'Sélectionner une photo ou plus...';
+$lang['privacy_stp8'] = 'Sélectionnez une ou plusieurs photos';
 $lang['privacy_title1'] = 'Bienvenue dans la visite Vie privée';
-$lang['privacy_title10'] = 'Permissions de l\'album';
-$lang['privacy_title11'] = 'Permissions de l\'album';
-$lang['privacy_title12'] = 'Permissions de l\'album';
+$lang['privacy_title10'] = 'Permissions par album';
+$lang['privacy_title11'] = 'Permissions par album';
+$lang['privacy_title12'] = 'Permissions par album';
 $lang['privacy_title2'] = 'Aide de votre Piwigo';
 $lang['privacy_title15'] = 'Conseil';
@@ -16,8 +16,8 @@
 $lang['privacy_title3'] = 'Permissions';
 $lang['privacy_title4'] = 'Permissions';
-$lang['privacy_title6'] = 'Niveau de vie privée';
-$lang['privacy_title7'] = 'Niveau de vie privée';
-$lang['privacy_title8'] = 'Niveau de vie privée';
-$lang['privacy_title9'] = 'Niveau de vie privée';
+$lang['privacy_title6'] = 'Niveau de confidentialité';
+$lang['privacy_title7'] = 'Niveau de confidentialité';
+$lang['privacy_title8'] = 'Niveau de confidentialité';
+$lang['privacy_title9'] = 'Niveau de confidentialité';
 $lang['privacy_title5'] = 'Permissions > Groupes';
 $lang['privacy_stp11'] = 'Cliquez maintenant sur l\'onglet "Permissions"';
@@ -26,7 +26,7 @@
 $lang['privacy_stp22'] = '<em>Pour les utilisateurs avancés</em> <br><br> Dans Piwigo, vous pouvez protéger les photos originales en utilisant votre configuration locale. Utilisez la variable $conf[\' original_url_protection\']: par défaut vide, vous définissez la valeur de "images" à protéger uniquement les photos ou "toutes" pour protéger également tous les types de médias, qui peuvent être consommatrice de ressources ou qui pourrait tout simplement ne pas fonctionner sur votre serveur.<br><br>Cette option fonctionne pour le contenu public et privé. Cette option vous oblige actuellement à refuser les accès aux dossiers /upload et /galleries, en utilisant un fichier .htaccess (un fichier texte avec "Deny from all" comme contenu) ou la configuration du serveur web.<br><br>S\'il vous plaît, notez que les noms de fichiers de photos téléchargées en utilisant une autre méthode de FTP sont rendus <b>aléatoires</b>, de sorte qu\'ils sont impossibles à deviner : ce nom de fichier et ainsi le chemin à la photo originale ne peut être connue que si le visiteur a accès à un redimensionnement de cette photo, comme la miniature. $conf[\'original_url_protection\'] + protection des dossiers /upload et /galeries sont destinés à éviter ce cas.';
 $lang['privacy_stp6'] = 'Quand vous téléchargez les photos, vous pouvez modifier le niveau de confidentialité juste ici...';
-$lang['privacy_stp9'] = '... Et sélectionnez l\'action «Qui peut voir les photos?". Maintenant, vous pouvez modifier le niveau de confidentialité des images sélectionnées. <br><br> Mais vous pouvez aussi le faire pour une image spécifique, sur sa page d\'édition. Vous pouvez y accéder depuis la partie publique, ou à partir d\'ici. <br> Maintenant, je vais vous montrer l\'autre système d\'autorisation pour les albums basé sur les groupes et les utilisateurs.';
-$lang['privacy_stp7'] = '... Ou bien vous pouvez le faire plus tard, ici dans Batch Manager en mode Global. <br><br> Ceci est la page <em>Photos » Photos récentes</em>, de sorte que le filtre "Dernière importation" est défini.';
-$lang['privacy_stp5'] = 'Ci-dessous on vous explique comment vous pouvez gérer les groupes. <br> Ces autorisations ne concernent que l\'accès des photos et les albums, lors de la navigation sur la partie publique ou pour les applications externes. Nous verrons plus tard d\'autres protections, mais nous allons pratiquer maintenant !';
+$lang['privacy_stp9'] = '... et sélectionnez l\'action "Qui peut voir les photos ?". Vous pouvez ainsi définir le niveau de confidentialité des photos sélectionnées.<br><br>Mais vous pouvez aussi le faire pour une photo spécifique, sur sa page d\'édition. Vous pouvez y accéder depuis la partie publique, ou à partir d\'ici.<br><br>Maintenant, voyons l\'autre système de permissions pour les albums basé sur les groupes et les utilisateurs.';
+$lang['privacy_stp7'] = '... ou bien vous pouvez le faire plus tard, ici dans la gestion par lot en mode Global.<br><br>Ceci est la page <em>Photos » Photos récentes</em>, de sorte que le filtre "Dernier import" est automatiquement défini.';
+$lang['privacy_stp5'] = 'Ci-dessous on vous explique comment vous pouvez gérer les groupes.<br><br>L\'appartenance d\'un utilisateur à un ou plusieurs groupes permet de gérer les permissions par album de façon globale pour plusieurs utilisateurs à la fois. Un peu de pratique ?';
 $lang['privacy_stp4'] = 'Nous avons deux systèmes de permissions : les permissions par photo et les permissions par album.<ol><li>Lorsque l\'on gère les permissions par photo, on attribue un "niveau de confidentialité" à chaque photo. Ensuite, chaque utilisateur a son propre niveau de confidentialité.</li><li>Lorsque l\'on gère les permissions par album, il faut passer les albums en privé puis donner l\'accès à chaque utilisateur ou groupe d\'utilisateur.</li></ol>Les deux systèmes sont indépendants. Vous pouvez utiliser les deux ou un seul, c\'est flexible. Il est recommandé d\'éviter de nommer vos groupes comme les niveaux de confidentialités, pour éviter les confusions entre les deux systèmes.<br><br>L\'onglet suivant concerne la gestion des groupes.';
 $lang['privacy_stp24'] = 'Cette visite est terminée. <p style="text-align:center">Profitez de votre Piwigo !</p>Si vous aimez Piwigo et que vous souhaitez nous soutenir, vous pouvez contribuer de nombreuses façons. <a href="http://fr.piwigo.org/basics/contribute" target="_blank">Cliquez ici pour contribuer</a>. Merci!';