Index: /extensions/stripped_responsive/theme-black.css
===================================================================
--- /extensions/stripped_responsive/theme-black.css	(revision 29588)
+++ /extensions/stripped_responsive/theme-black.css	(revision 29589)
@@ -402,6 +402,6 @@
 }
 
-.naf .thumbnailCategory .illustration img 			{ border: 1px solid #777;}
-.naf .thumbnailCategory .illustration img:hover 	{ border: 1px solid #c0c0c0;}
+.naf .thumbnailCategory 			{ border: 1px solid #777;}
+.naf .thumbnailCategory:hover 	{ border: 1px solid #c0c0c0;}
 
 .ntf .wrap1 .wrap2 .thumbnail {
Index: /extensions/stripped_responsive/theme-original.css
===================================================================
--- /extensions/stripped_responsive/theme-original.css	(revision 29588)
+++ /extensions/stripped_responsive/theme-original.css	(revision 29589)
@@ -313,6 +313,6 @@
 }
 
-.naf .thumbnailCategory .illustration img 			{ border: 1px solid #777;}
-.naf .thumbnailCategory:hover .illustration img 	{ border: 1px solid #c0c0c0;}
+.naf .thumbnailCategory 			{ border: 1px solid #777;}
+.naf .thumbnailCategory:hover 	{ border: 1px solid #c0c0c0;}
 
 .ntf .wrap1 .wrap2 .thumbnail {
Index: /extensions/stripped_responsive/theme.css
===================================================================
--- /extensions/stripped_responsive/theme.css	(revision 29588)
+++ /extensions/stripped_responsive/theme.css	(revision 29589)
@@ -402,20 +402,8 @@
 	overflow: hidden;
 }
-
-.atr ul.thumbnailCategories li { width: 300px; height: 300px;}
-@media (min-width: 798px) and (-webkit-max-device-pixel-ratio: 1.7), (min-width: 798px) and (max-resolution: 163.2dpi) {
-  .atr ul.thumbnailCategories li { width: 270px; height: 270px;}
-}
-@media (min-width: 992px) and (-webkit-max-device-pixel-ratio: 2.5), (min-width: 992px) and (max-resolution: 240dpi) {
-  .atr ul.thumbnailCategories li { width: 240px; height: 240px;}
-}
-@media (min-width: 1220px) {
-  .atr ul.thumbnailCategories li { width: 300px; height: 300px;}
-}
-
 .atr .stuffs_block .personal_block ul.thumbnailCategories li { width:273px!important; height:273px;}
 
 .thumbnailCategory {
-	display:inline-block;
+/*	display:inline-block;*/
 }
 
@@ -433,5 +421,9 @@
 .atr .thumbnailCategory .illustration a  { vertical-align:bottom;}
 
-.atr .thumbnailCategory .illustration { margin:5px 5px 0 5px;}
+/*.atr .thumbnailCategory .illustration { margin:5px 5px 0 5px;}*/
+.atr .thumbnailCategory { 
+  margin: 5px;
+  position: relative;
+}
 
 .thumbnailCategory .illustration a {
@@ -445,5 +437,4 @@
 	display:block;
 	margin:auto;
-/*	max-width:160px;*/
 	max-width:286px;
 }
@@ -476,7 +467,9 @@
 /*	font-size:76.923%;*/
 	text-align:right;
-	width:100%;
+	width:auto;
 	margin:0;
-    position: absolute; bottom: 0; left: 0;
+    position: absolute;
+    bottom: 0;
+    right: 0;
 }
 
@@ -485,5 +478,5 @@
 	display:block;
 	text-align:justify;
-	width:100%;
+	width:auto;
 	margin-top:5px;
 	overflow:hidden;
@@ -493,25 +486,8 @@
 	overflow: hidden;
 	display: inline-block;
-	width: 276px;
-/*	height: 150px;*/
+	width: 100%;
 	height: 75px;
-	margin: -76px 7px 15px 6px;
-	padding: 0 5px;
-    position: relative;
-}
-@media (min-width: 798px) and (-webkit-max-device-pixel-ratio: 1.7), (min-width: 798px) and (max-resolution: 163.2dpi) {
-  .atr .thumbnailCategory .description {
-	width:246px;
-  }
-}
-@media (min-width: 992px) and (-webkit-max-device-pixel-ratio: 2.5), (min-width: 992px) and (max-resolution: 240dpi) {
-  .atr .thumbnailCategory .description {
-	width:216px;
-  }
-}
-@media (min-width: 1220px) {
-  .atr .thumbnailCategory .description {
-	width:276px;
-  }
+    position: absolute;
+    bottom: 0;
 }
 
@@ -528,7 +504,9 @@
 .atd .thumbnailCategory .description h3 {
 	font-size:125%;
-	padding:5px 0;
+	padding:0 4px;
 	display:block;
-	width:100%;
+	width:auto;
+    max-height: 48px;
+    overflow: hidden;
 /*	border-bottom:1px solid;*/
 }
@@ -545,6 +523,5 @@
 .thumbnailCategory .text p {
 	margin: 0;
-	padding-top: 4px;
-	padding-bottom: 4px;
+	padding: 0 4px 4px 4px;
 	word-wrap: break-word;
 }