Index: /extensions/Fotorama/admin.php
===================================================================
--- /extensions/Fotorama/admin.php	(revision 29592)
+++ /extensions/Fotorama/admin.php	(revision 29593)
@@ -25,4 +25,6 @@
   if (isset($_POST['fullscreen_nav']))
     $conf['Fotorama']['fullscreen_nav'] = $_POST['fullscreen_nav'];
+  if (isset($_POST['thumbheight']))
+    $conf['Fotorama']['thumbheight'] = $_POST['thumbheight'];
 
   conf_update_param('Fotorama', serialize($conf['Fotorama']));
Index: /extensions/Fotorama/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Fotorama/language/ru_RU/plugin.lang.php	(revision 29592)
+++ /extensions/Fotorama/language/ru_RU/plugin.lang.php	(revision 29593)
@@ -13,4 +13,5 @@
 $lang['Only fullscreen mode'] = 'Только полноэкранный режим';
 $lang['Show caption with image title'] = 'Показывать заголовок с названием изображения';
+$lang['Tumbnail height (when present)'] = 'Высота миниатюр (когда присутствуют)';
 
 ?>
Index: /extensions/Fotorama/main.inc.php
===================================================================
--- /extensions/Fotorama/main.inc.php	(revision 29592)
+++ /extensions/Fotorama/main.inc.php	(revision 29593)
@@ -31,4 +31,9 @@
 
   $conf['Fotorama'] = unserialize($conf['Fotorama']);
+
+  // Upgrade params from 2.7.j
+  if (!isset($conf['Fotorama']['thumbheight'])) {
+	$conf['Fotorama']['thumbheight'] = 64;
+  }
 
   add_event_handler('loc_end_picture', 'Fotorama_end_picture');
@@ -87,5 +92,7 @@
         $row['derivative_big'] = $row['src_image'];
       }
-      $row['derivative_thumb'] = DerivativeImage::get_one(IMG_SQUARE, $row['src_image']);
+//      $row['derivative_thumb'] = DerivativeImage::get_one(IMG_SQUARE, $row['src_image']);
+      $thumb_params = ImageStdParams::get_custom($conf['Fotorama']['thumbheight'], $conf['Fotorama']['thumbheight'], 1, $conf['Fotorama']['thumbheight'], $conf['Fotorama']['thumbheight']);
+      $row['derivative_thumb'] = new DerivativeImage($thumb_params, $row['src_image']);;
       if ($row['derivative_thumb'] == null)
       {
Index: /extensions/Fotorama/maintain.inc.php
===================================================================
--- /extensions/Fotorama/maintain.inc.php	(revision 29592)
+++ /extensions/Fotorama/maintain.inc.php	(revision 29593)
@@ -19,4 +19,5 @@
     'only_fullscreen' => false,
     'enable_caption' => false,
+    'thumbheight' => 64,
   );
 
Index: /extensions/Fotorama/template/admin.tpl
===================================================================
--- /extensions/Fotorama/template/admin.tpl	(revision 29592)
+++ /extensions/Fotorama/template/admin.tpl	(revision 29593)
@@ -46,11 +46,11 @@
   </li>
   <li>
-    <label for="nav">
-      <b>{'Navigation style'|@translate}</b> 
+    <label for="fullscreen_nav">
+      <b>{'Fullscreen navigation style'|@translate}</b> 
     </label>
-    <select class="categoryDropDown" id="nav" name="nav">
-      <option value="false"{if $Fotorama.nav == 'false'} selected{/if}>{'false'|@translate}</option>
-      <option value="dots"{if $Fotorama.nav == 'dots'} selected{/if}>{'dots'|@translate}</option>
-      <option value="thumbs"{if $Fotorama.nav == 'thumbs'} selected{/if}>{'thumbs'|@translate}</option>
+    <select class="categoryDropDown" id="fullscreen_nav" name="fullscreen_nav">
+      <option value="false"{if $Fotorama.fullscreen_nav == 'false'} selected{/if}>{'false'|@translate}</option>
+      <option value="dots"{if $Fotorama.fullscreen_nav == 'dots'} selected{/if}>{'dots'|@translate}</option>
+      <option value="thumbs"{if $Fotorama.fullscreen_nav == 'thumbs'} selected{/if}>{'thumbs'|@translate}</option>
     </select>
   </li>
@@ -64,4 +64,10 @@
       <option value="thumbs"{if $Fotorama.fullscreen_nav == 'thumbs'} selected{/if}>{'thumbs'|@translate}</option>
     </select>
+  </li>
+  <li>
+    <label for="thumbheight">
+      <b>{'Tumbnail height (when present)'|@translate}</b> 
+    </label>
+    <input type="number" size="2" maxlength="3" name="thumbheight" value="{$Fotorama.thumbheight}" min="5" max="300" style="width: 50px;">&nbsp;px
   </li>
   <li>
Index: /extensions/Fotorama/template/slideshow.tpl
===================================================================
--- /extensions/Fotorama/template/slideshow.tpl	(revision 29592)
+++ /extensions/Fotorama/template/slideshow.tpl	(revision 29593)
@@ -30,5 +30,5 @@
         data-allowfullscreen="{$Fotorama['allowfullscreen']}" data-autoplay="{if $Fotorama['autoplay']}true{else}false{/if}"
         data-transition="{$Fotorama['transition']}" data-stopautoplayontouch="{if $Fotorama['stopautoplayontouch']}true{else}false{/if}"
-        data-loop="{if $Fotorama['loop']}true{else}false{/if}" data-captions="false">
+        data-loop="{if $Fotorama['loop']}true{else}false{/if}" data-captions="false" data-thumbheight="{$Fotorama['thumbheight']}" data-thumbwidth="{$Fotorama['thumbheight']}">
       {foreach from=$items item=thumbnail}
         <a href="{$thumbnail['derivative']->get_url()}"