Index: extensions/Fotorama/template/admin.tpl
===================================================================
--- extensions/Fotorama/template/admin.tpl	(revision 29615)
+++ extensions/Fotorama/template/admin.tpl	(revision 29621)
@@ -6,14 +6,14 @@
 
 <fieldset id="Fotorama">
-<legend>{'Configuration'|@translate}</legend>
+<legend>{'Configuration'|translate}</legend>
 <ul>
   <li>
     <label for="allowfullscreen">
-      <b>{'Allows fullscreen'|@translate}</b> 
+      <b>{'Allows fullscreen'|translate}</b> 
     </label>
     <select class="categoryDropDown" id="allowfullscreen" name="allowfullscreen">
-      <option value="false"{if $Fotorama.allowfullscreen == 'false'} selected{/if}>{'false'|@translate}</option>
-      <option value="true"{if $Fotorama.allowfullscreen == 'true'} selected{/if}>{'true'|@translate}</option>
-      <option value="native"{if $Fotorama.allowfullscreen == 'native'} selected{/if}>{'native'|@translate}</option>
+      <option value="false"{if $Fotorama.allowfullscreen == 'false'} selected{/if}>{'false'|translate}</option>
+      <option value="true"{if $Fotorama.allowfullscreen == 'true'} selected{/if}>{'true'|translate}</option>
+      <option value="native"{if $Fotorama.allowfullscreen == 'native'} selected{/if}>{'native'|translate}</option>
     </select>
   </li>
@@ -21,51 +21,51 @@
     <input type="checkbox" id="only_fullscreen" name="only_fullscreen"{if $Fotorama.only_fullscreen} checked="checked"{/if}>
     <label for="only_fullscreen">
-      <b>{'Only fullscreen mode'|@translate}</b>
+      <b>{'Only fullscreen mode'|translate}</b>
     </label>
   </li>
   <li>
     <label for="fit">
-      <b>{'How to fit an image'|@translate}</b> 
+      <b>{'How to fit an image'|translate}</b> 
     </label>
     <select class="categoryDropDown" id="fit" name="fit">
-      <option value="contain"{if $Fotorama.fit == 'contain'} selected{/if}>{'contain'|@translate}</option>
-      <option value="cover"{if $Fotorama.fit == 'cover'} selected{/if}>{'cover'|@translate}</option>
-      <option value="scaledown"{if $Fotorama.fit == 'scaledown'} selected{/if}>{'scaledown'|@translate}</option>
-      <option value="none"{if $Fotorama.fit == 'none'} selected{/if}>{'none'|@translate}</option>
+      <option value="contain"{if $Fotorama.fit == 'contain'} selected{/if}>{'contain'|translate}</option>
+      <option value="cover"{if $Fotorama.fit == 'cover'} selected{/if}>{'cover'|translate}</option>
+      <option value="scaledown"{if $Fotorama.fit == 'scaledown'} selected{/if}>{'scaledown'|translate}</option>
+      <option value="none"{if $Fotorama.fit == 'none'} selected{/if}>{'none'|translate}</option>
     </select>
   </li>
   <li>
     <label for="transition">
-      <b>{'What transition to use'|@translate}</b> 
+      <b>{'What transition to use'|translate}</b> 
     </label>
     <select class="categoryDropDown" id="transition" name="transition">
-      <option value="slide"{if $Fotorama.transition == 'slide'} selected{/if}>{'slide'|@translate}</option>
-      <option value="crossfade"{if $Fotorama.transition == 'crossfade'} selected{/if}>{'crossfade'|@translate}</option>
-      <option value="dissolve"{if $Fotorama.transition == 'dissolve'} selected{/if}>{'dissolve'|@translate}</option>
+      <option value="slide"{if $Fotorama.transition == 'slide'} selected{/if}>{'slide'|translate}</option>
+      <option value="crossfade"{if $Fotorama.transition == 'crossfade'} selected{/if}>{'crossfade'|translate}</option>
+      <option value="dissolve"{if $Fotorama.transition == 'dissolve'} selected{/if}>{'dissolve'|translate}</option>
     </select>
   </li>
   <li>
     <label for="nav">
-      <b>{'Navigation style'|@translate}</b> 
+      <b>{'Navigation style'|translate}</b> 
     </label>
     <select class="categoryDropDown" id="nav" name="nav">
-      <option value="false"{if $Fotorama.nav == 'false'} selected{/if}>{'false'|@translate}</option>
-      <option value="dots"{if $Fotorama.nav == 'dots'} selected{/if}>{'dots'|@translate}</option>
-      <option value="thumbs"{if $Fotorama.nav == 'thumbs'} selected{/if}>{'thumbs'|@translate}</option>
+      <option value="false"{if $Fotorama.nav == 'false'} selected{/if}>{'false'|translate}</option>
+      <option value="dots"{if $Fotorama.nav == 'dots'} selected{/if}>{'dots'|translate}</option>
+      <option value="thumbs"{if $Fotorama.nav == 'thumbs'} selected{/if}>{'thumbs'|translate}</option>
     </select>
   </li>
   <li>
     <label for="fullscreen_nav">
-      <b>{'Fullscreen navigation style'|@translate}</b> 
+      <b>{'Fullscreen navigation style'|translate}</b> 
     </label>
     <select class="categoryDropDown" id="fullscreen_nav" name="fullscreen_nav">
-      <option value="false"{if $Fotorama.fullscreen_nav == 'false'} selected{/if}>{'false'|@translate}</option>
-      <option value="dots"{if $Fotorama.fullscreen_nav == 'dots'} selected{/if}>{'dots'|@translate}</option>
-      <option value="thumbs"{if $Fotorama.fullscreen_nav == 'thumbs'} selected{/if}>{'thumbs'|@translate}</option>
+      <option value="false"{if $Fotorama.fullscreen_nav == 'false'} selected{/if}>{'false'|translate}</option>
+      <option value="dots"{if $Fotorama.fullscreen_nav == 'dots'} selected{/if}>{'dots'|translate}</option>
+      <option value="thumbs"{if $Fotorama.fullscreen_nav == 'thumbs'} selected{/if}>{'thumbs'|translate}</option>
     </select>
   </li>
   <li>
     <label for="thumbheight">
-      <b>{'Tumbnail height (when present)'|@translate}</b> 
+      <b>{'Tumbnail height (when present)'|translate}</b> 
     </label>
     <input type="number" size="2" maxlength="3" name="thumbheight" value="{$Fotorama.thumbheight}" min="5" max="300" style="width: 50px;">&nbsp;px
@@ -74,5 +74,5 @@
     <input type="checkbox" id="shadows" name="shadows"{if $Fotorama.shadows} checked="checked"{/if}>
     <label for="shadows">
-      <b>{'Enables shadows'|@translate}</b>
+      <b>{'Enables shadows'|translate}</b>
     </label>
   </li>
@@ -80,5 +80,5 @@
     <input type="checkbox" id="autoplay" name="autoplay"{if $Fotorama.autoplay} checked="checked"{/if}>
     <label for="autoplay">
-      <b>{'Enables autoplay'|@translate}</b>
+      <b>{'Enables autoplay'|translate}</b>
     </label>
   </li>
@@ -86,5 +86,5 @@
     <input type="checkbox" id="stopautoplayontouch" name="stopautoplayontouch"{if $Fotorama.stopautoplayontouch} checked="checked"{/if}>
     <label for="stopautoplayontouch">
-      <b>{'Stops slideshow at any user action with the fotorama'|@translate}</b>
+      <b>{'Stops slideshow at any user action with the fotorama'|translate}</b>
     </label>
   </li>
@@ -92,5 +92,5 @@
     <input type="checkbox" id="loop" name="loop"{if $Fotorama.loop} checked="checked"{/if}>
     <label for="loop">
-      <b>{'Enables loop'|@translate}</b>
+      <b>{'Enables loop'|translate}</b>
     </label>
   </li>
@@ -98,5 +98,5 @@
     <input type="checkbox" id="enable_caption" name="enable_caption"{if $Fotorama.enable_caption} checked="checked"{/if}>
     <label for="enable_caption">
-      <b>{'Show caption with image title'|@translate}</b>
+      <b>{'Show caption with image title'|translate}</b>
     </label>
   </li>
@@ -104,5 +104,5 @@
     <input type="checkbox" id="replace_picture" name="replace_picture"{if $Fotorama.replace_picture} checked="checked"{/if}>
     <label for="replace_picture">
-      <b>{'Replace picture page'|@translate}</b>
+      <b>{'Replace picture page'|translate}</b>
     </label>
   </li>
@@ -110,5 +110,5 @@
     &nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" id="replace_picture_only_users" name="replace_picture_only_users"{if $Fotorama.replace_picture_only_users} checked="checked"{/if}>
     <label for="replace_picture_only_users">
-      <b>{'except an administrator'|@translate}</b>
+      <b>{'except an administrator'|translate}</b>
     </label>
   </li>
@@ -118,5 +118,5 @@
 <p class="formButtons">
   <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
-  <input type="submit" name="submit" value="{'Save Settings'|@translate}">
+  <input type="submit" name="submit" value="{'Save Settings'|translate}">
 </p>
 </form>