Index: /extensions/stripped_responsive/admin/admin.inc.php
===================================================================
--- /extensions/stripped_responsive/admin/admin.inc.php	(revision 29640)
+++ /extensions/stripped_responsive/admin/admin.inc.php	(revision 29641)
@@ -22,5 +22,4 @@
 	$config['imageCaption']=$_POST['f_imageCaption'];
 	$config['imageArrows']=isset($_POST['f_imageArrows']);
-	$config['navArrows']=isset($_POST['f_navArrows']);
 	$config['HDlightbox']=($_POST['f_lightboxOptions'] != 'never');
 	$config['forceLightboxOn']=($_POST['f_lightboxOptions'] == 'always');
Index: /extensions/stripped_responsive/admin/admin.tpl
===================================================================
--- /extensions/stripped_responsive/admin/admin.tpl	(revision 29640)
+++ /extensions/stripped_responsive/admin/admin.tpl	(revision 29641)
@@ -52,8 +52,4 @@
 					<span class="property">{'Use navigation arrows on picture'|@translate}</span>&nbsp;
 					<input type="checkbox" name="f_imageArrows" {if $options.imageArrows}checked{/if}>
-				</label></li>
-				<li><label>
-					<span class="property">{'Use navigation arrows outside picture'|@translate}</span>&nbsp;
-					<input type="checkbox" name="f_navArrows" {if $options.navArrows}checked{/if}>
 				</label></li>
 				<li><label>
Index: /extensions/stripped_responsive/admin/maintain.inc.php
===================================================================
--- /extensions/stripped_responsive/admin/maintain.inc.php	(revision 29640)
+++ /extensions/stripped_responsive/admin/maintain.inc.php	(revision 29641)
@@ -21,5 +21,4 @@
 	'imageCaption'					=> 'title',
 	'imageArrows'					=> true,
-	'navArrows'						=> false,
 	'HDlightbox'					=> true,
 	'forceLightboxOn'				=> false,
Index: /extensions/stripped_responsive/js/scripts-tpp.js
===================================================================
--- /extensions/stripped_responsive/js/scripts-tpp.js	(revision 29640)
+++ /extensions/stripped_responsive/js/scripts-tpp.js	(revision 29641)
@@ -177,8 +177,6 @@
 			if (options.themeStyle == 'original') {
 				marge_inf = options.imageAutosizeMargin+10;	
-				if (options.navArrows) marge_cote=20;
 			} else {
 				marge_inf = 30;
-				if (options.navArrows) marge_cote=25;
 			}
 			var marge_spec = 0;
Index: /extensions/stripped_responsive/template/config.js.tpl
===================================================================
--- /extensions/stripped_responsive/template/config.js.tpl	(revision 29640)
+++ /extensions/stripped_responsive/template/config.js.tpl	(revision 29641)
@@ -15,5 +15,4 @@
 	defaultZoomSize:"{$stripped_responsive.defaultZoomSize}",
 	highResClickMode:"{$stripped_responsive.highResClickMode}",
-	navArrows:{if $stripped_responsive.navArrows}true{else}false{/if}
 {else}
 	animatedMenu:{if $stripped_responsive.animatedMenu}true{else}false{/if}
Index: /extensions/stripped_responsive/template/picture.tpl
===================================================================
--- /extensions/stripped_responsive/template/picture.tpl	(revision 29640)
+++ /extensions/stripped_responsive/template/picture.tpl	(revision 29641)
@@ -99,13 +99,7 @@
 	<div id="theImageBox" >
 		<div class="hideTabsZone hideTabs">&nbsp;</div>
-		{if (isset($previous) && $stripped_responsive.navArrows) }
-			<a href="{$previous.U_IMG}" id="imgprev">&nbsp;</a>
-		{/if}
 		<div id="theImage">
 			{$ELEMENT_CONTENT}
 		</div>
-		{if (isset($next) && $stripped_responsive.navArrows)}
-			<a href="{$next.U_IMG}" id="imgnext">&nbsp;</a>
-		{/if}
 	</div>
 	{if $showTitle }
Index: /extensions/stripped_responsive/template/slideshow.tpl
===================================================================
--- /extensions/stripped_responsive/template/slideshow.tpl	(revision 29640)
+++ /extensions/stripped_responsive/template/slideshow.tpl	(revision 29641)
@@ -42,13 +42,7 @@
 		<div id="theImageAndTitle">
 			<div id="theImageBox">
-				{if (isset($previous) && $stripped_responsive.navArrows) }
-					<a href="{$previous.U_IMG}" id="imgprev">&nbsp;</a>
-				{/if}
 				<div id="theImage">
 					{$ELEMENT_CONTENT}
 				</div>
-		{if (isset($next) && $stripped_responsive.navArrows)}
-			<a href="{$next.U_IMG}" id="imgnext">&nbsp;</a>
-		{/if}
 			</div>
 			{if $showTitle }
Index: /extensions/stripped_responsive/theme.css
===================================================================
--- /extensions/stripped_responsive/theme.css	(revision 29640)
+++ /extensions/stripped_responsive/theme.css	(revision 29641)
@@ -835,4 +835,5 @@
 .img_prev .img_nav_content { 
   background:url(icon/arrows.png) 0 0 no-repeat;
+  margin-left: 5px;
 }
 .img_prev:hover .img_nav_content { 
@@ -842,4 +843,5 @@
   background:url(icon/arrows.png) -20px 0 no-repeat;
   right: 0;
+  margin-right: 5px;
 }
 .img_next:hover .img_nav_content { 