Index: /trunk/admin/include/functions_install.inc.php
===================================================================
--- /trunk/admin/include/functions_install.inc.php	(revision 29664)
+++ /trunk/admin/include/functions_install.inc.php	(revision 29665)
@@ -89,4 +89,22 @@
 
 /**
+ * Automatically activate some core plugins
+ */
+function activate_core_plugins()
+{
+  include_once(PHPWG_ROOT_PATH.'admin/include/plugins.class.php');
+  
+  $plugins = new plugins();
+
+  foreach($plugins->fs_plugins as $plugin_id => $fs_plugin)
+  {
+    if (in_array($plugin_id, array('TakeATour')))
+    {
+      $plugins->perform_action('activate', $plugin_id);
+    }
+  }
+}
+
+/**
  * Connect to database during installation. Uses $_POST.
  *
Index: /trunk/admin/themes/default/template/upgrade.tpl
===================================================================
--- /trunk/admin/themes/default/template/upgrade.tpl	(revision 29664)
+++ /trunk/admin/themes/default/template/upgrade.tpl	(revision 29665)
@@ -41,4 +41,5 @@
   min-height:0;
   border:none;
+  margin:1em auto;
 }
 
@@ -104,4 +105,5 @@
   background-color:#ff7700;
   color:white;
+  text-decoration:none;
 }
 
@@ -215,5 +217,5 @@
 
 <p>
-  <a class="bigButton" href="index.php">{'Home'|@translate}</a>
+  <a class="bigButton" href="{$button_link}">{$button_label}</a>
 </p>
 {/if}
Index: /trunk/include/functions.inc.php
===================================================================
--- /trunk/include/functions.inc.php	(revision 29664)
+++ /trunk/include/functions.inc.php	(revision 29665)
@@ -1513,5 +1513,5 @@
   $dirname .= 'language/';
 
-  $default_language = defined('PHPWG_INSTALLED') ?
+  $default_language = defined('PHPWG_INSTALLED') and !defined('UPGRADES_PATH') ?
       get_default_language() : PHPWG_DEFAULT_LANGUAGE;
 
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 29664)
+++ /trunk/install.php	(revision 29665)
@@ -367,4 +367,5 @@
     }
     activate_core_themes();
+    activate_core_plugins();
 
     $insert = array(
Index: /trunk/install/upgrade_2.5.0.php
===================================================================
--- /trunk/install/upgrade_2.5.0.php	(revision 29664)
+++ /trunk/install/upgrade_2.5.0.php	(revision 29665)
@@ -122,4 +122,4 @@
 
 // now we upgrade from 2.6.0
-// include_once(PHPWG_ROOT_PATH.'install/upgrade_2.6.0.php');
+include_once(PHPWG_ROOT_PATH.'install/upgrade_2.6.0.php');
 ?>
Index: /trunk/install/upgrade_2.6.0.php
===================================================================
--- /trunk/install/upgrade_2.6.0.php	(revision 29665)
+++ /trunk/install/upgrade_2.6.0.php	(revision 29665)
@@ -0,0 +1,125 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die ('This page cannot be loaded directly, load upgrade.php');
+}
+else
+{
+  if (!defined('PHPWG_IN_UPGRADE') or !PHPWG_IN_UPGRADE)
+  {
+    die ('Hacking attempt!');
+  }
+}
+
+// +-----------------------------------------------------------------------+
+// |             Fill upgrade table without applying upgrade               |
+// +-----------------------------------------------------------------------+
+
+// retrieve already applied upgrades
+$query = '
+SELECT id
+  FROM '.PREFIX_TABLE.'upgrade
+;';
+$applied = array_from_query($query, 'id');
+
+// retrieve existing upgrades
+$existing = get_available_upgrade_ids();
+
+// which upgrades need to be applied?
+$to_apply = array_diff($existing, $applied);
+$inserts = array();
+foreach ($to_apply as $upgrade_id)
+{
+  if ($upgrade_id >= 140) // TODO change on each release
+  {
+    break;
+  }
+  
+  array_push(
+    $inserts,
+    array(
+      'id' => $upgrade_id,
+      'applied' => CURRENT_DATE,
+      'description' => '[migration from 2.6.0 to '.PHPWG_VERSION.'] not applied', // TODO change on each release
+      )
+    );
+}
+
+if (!empty($inserts))
+{
+  mass_inserts(
+    '`'.UPGRADE_TABLE.'`',
+    array_keys($inserts[0]),
+    $inserts
+    );
+}
+
+// +-----------------------------------------------------------------------+
+// |                          Perform upgrades                             |
+// +-----------------------------------------------------------------------+
+
+ob_start();
+echo '<pre>';
+
+for ($upgrade_id = 140; $upgrade_id <= 144; $upgrade_id++) // TODO change on each release
+{
+  if (!file_exists(UPGRADES_PATH.'/'.$upgrade_id.'-database.php'))
+  {
+    continue;
+  }
+
+  // maybe the upgrade task has already been applied in a previous and
+  // incomplete upgrade
+  if (in_array($upgrade_id, $applied))
+  {
+    continue;
+  }
+  
+  unset($upgrade_description);
+
+  echo "\n\n";
+  echo '=== upgrade '.$upgrade_id."\n";
+
+  // include & execute upgrade script. Each upgrade script must contain
+  // $upgrade_description variable which describe briefly what the upgrade
+  // script does.
+  include(UPGRADES_PATH.'/'.$upgrade_id.'-database.php');
+
+  // notify upgrade (TODO change on each release)
+  $query = '
+INSERT INTO `'.PREFIX_TABLE.'upgrade`
+  (id, applied, description)
+  VALUES
+  (\''.$upgrade_id.'\', NOW(), \'[migration from 2.6.0 to '.PHPWG_VERSION.'] '.$upgrade_description.'\')
+;';
+  pwg_query($query);
+}
+
+echo '</pre>';
+ob_end_clean();
+
+// now we upgrade from 2.7.0
+// include_once(PHPWG_ROOT_PATH.'install/upgrade_2.7.0.php');
+?>
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 29664)
+++ /trunk/upgrade.php	(revision 29665)
@@ -139,5 +139,4 @@
 include(PHPWG_ROOT_PATH . 'admin/include/languages.class.php');
 $languages = new languages('utf-8');
-
 if (isset($_GET['language']))
 {
@@ -208,5 +207,4 @@
 load_language( 'install.lang', '', array('language'=>$language, 'target_charset'=>'utf-8', 'no_fallback' => true) );
 load_language( 'upgrade.lang', '', array('language'=>$language, 'target_charset'=>'utf-8', 'no_fallback' => true) );
-
 // check php version
 if (version_compare(PHP_VERSION, REQUIRED_PHP_VERSION, '<'))
@@ -340,4 +338,8 @@
   $current_release = '2.4.0';
 }
+else if (!in_array('nb_available_tags', $columns_of[PREFIX_TABLE.'user_cache']))
+{
+  $current_release = '2.5.0';
+}
 else
 {
@@ -349,7 +351,7 @@
   $applied_upgrades = array_from_query($query, 'id');
 
-  if (!in_array(139, $applied_upgrades))
-  {
-    $current_release = '2.5.0';
+  if (!in_array(144, $applied_upgrades))
+  {
+    $current_release = '2.6.0';
   }
   else
@@ -380,4 +382,8 @@
   if (is_file($upgrade_file))
   {
+    // reset SQL counters
+    $page['queries_time'] = 0;
+    $page['count_queries'] = 0;
+    
     $page['upgrade_start'] = get_moment();
     $conf['die_on_sql_error'] = false;
@@ -439,12 +445,4 @@
     $page['infos'] = array();
 
-    /* might be usefull when we will have a real integrity checker
-    $query = '
-REPLACE INTO '.PLUGINS_TABLE.'
-  (id, state)
-  VALUES (\'c13y_upgrade\', \'active\')
-;';
-    pwg_query($query);*/
-
     $query = '
 REPLACE INTO '.PLUGINS_TABLE.'
@@ -454,4 +452,39 @@
     pwg_query($query);
 
+    $template->assign(
+      array(
+        'button_label' => l10n('Home'),
+        'button_link' => 'index.php',
+        )
+      );
+
+    // if the webmaster has a session, let's give a link to discover new features
+    if (!empty($_SESSION['pwg_uid']))
+    {
+      $version_ = str_replace('.', '_', get_branch_from_version(PHPWG_VERSION).'.0');
+      
+      if (file_exists(PHPWG_PLUGINS_PATH .'TakeATour/tours/'.$version_.'/config.inc.php'))
+      {
+        load_language(
+          'plugin.lang',
+          PHPWG_PLUGINS_PATH.'TakeATour/',
+          array(
+            'language' => $language,
+            'force_fallback'=>'en_UK',
+            )
+          );
+
+        // we need the secret key for get_pwg_token()
+        load_conf_from_db();
+        
+        $template->assign(
+          array(
+            'button_label' => l10n('2_7_0_descrp'), // TODO avoid to update it on each release
+            'button_link' => 'admin.php?submited_tour_path=tours/'.$version_.'&amp;pwg_token='.get_pwg_token(),
+            )
+          );
+      }
+    }
+
     // Delete cache data
     invalidate_user_cache(true);