Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 29666)
+++ /trunk/language/ar_SA/common.lang.php	(revision 29667)
@@ -146,5 +146,5 @@
 $lang['Your comment has been registered'] = 'سيتم إعتماد كلماتك الطيبة في أقرب وقت';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'نرجوا الانتظار قبل اضافة تعليق آخر ';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'لم يتم إعتماد تعليقك لأنه مخالف لشروط التعليقات';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'لم يتم إعتماد تعليقك لأنه مخالف للشروط و التعليمات';
 $lang['An administrator must authorize your comment before it is visible.'] = 'لن يطول انتظارك حتى ترى تعليقك هنا بعد مراجعة الإدارة.';
 $lang['This login is already used by another user'] = 'يبدو أن هناك مستخدم آخر بنفس هذا المعلومات';
@@ -168,5 +168,5 @@
 $lang['day'][6] = 'السبت';
 $lang['Default'] = 'إفتراضي';
-$lang['delete this photo from your favorites'] = 'أزل هذه الصورة من مفضلتك';
+$lang['delete this photo from your favorites'] = 'حذف هذه الصورة من مفضلتك';
 $lang['descending'] = 'تنازلي';
 $lang['Download'] = 'تحميل';
@@ -193,5 +193,5 @@
 $lang['in %d sub-album'] = 'في %d البوم فرعي';
 $lang['in %d sub-albums'] = 'في %d ألبومات فرعية';
-$lang['included'] = 'مستدعى';
+$lang['included'] = 'تشمل';
 $lang['Invalid password!'] = 'عفوا كلمة المرور غير صحيحة!';
 $lang['Language']='اللغة';
@@ -199,5 +199,5 @@
 $lang['Last'] = 'الأخيرة';
 $lang['Logout'] = 'خروج';
-$lang['obligatory'] = 'ضروري';
+$lang['obligatory'] = 'مهم';
 $lang['display a calendar by creation date'] = 'عرض التقويم حسب الألبومات';
 $lang['display all photos in all sub-albums'] = 'عرض جميع الصور ';
@@ -279,5 +279,5 @@
 $lang['A comment on your site'] = 'استفسار مهم';
 $lang['today'] = 'اليوم';
-$lang['Update your rating'] = 'غير تقييمك';
+$lang['Update your rating'] = 'حدث تقييمك';
 $lang['the username must be given'] = 'اسم المستخدم ضروري';
 $lang['useful when password forgotten'] = 'مهم ( لاستعاده كلمه المرور حال فقدانها )ـ';
@@ -294,6 +294,6 @@
 $lang['Registration of %s'] = 'تسجيل  %s';
 $lang['Album: %s'] = 'الألبوم: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'وضغ سيئ للضيف "ضيف", استخدم الحالة الافرتاضية. يرجى ابلاغ المسؤول عن الموقع.';
-$lang['this email address is already in use'] = 'هذا البريد مسجل لدينامن قبل';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'وضغ سيئ للضيف "ضيف", استخدم الحالة الافتراضية. يرجى ابلاغ المسؤول عن الموقع.';
+$lang['this email address is already in use'] = 'هذا البريد مسجل لدينا من قبل';
 $lang['Album results for'] = 'نتيجة البحث في الألبومات عن:';
 $lang['Tag results for'] = 'نتائج الكلمات الدلائلية';
@@ -426,3 +426,12 @@
 $lang['%d photos per page'] = 'عدد الصور في كل صفحة %d';
 $lang['Theme'] = 'الواجهة';
-?>
+$lang['day']['0'] = 'الأحد';
+$lang['day']['1'] = 'الأثنين';
+$lang['day']['3'] = 'الأربعاء';
+$lang['Album name, A &rarr; Z'] = 'اسم الألبوم, A &rarr; Z';
+$lang['Album name, Z &rarr; A'] = 'اسم الألبوم, A &rarr; Z';
+$lang['Apply on properties'] = 'تطبيق على خصائص';
+$lang['Link: %s'] = 'الرابط: %s';
+$lang['No results for'] = 'لا يوجد نتائج';
+$lang['Photo description'] = 'وصف الصورة';
+$lang['Photo title'] = 'عنوان الصورة';