Index: extensions/MyPiwiShop/language/nl_NL/intro.html
===================================================================
--- extensions/MyPiwiShop/language/nl_NL/intro.html	(revision 29879)
+++ extensions/MyPiwiShop/language/nl_NL/intro.html	(revision 29879)
@@ -0,0 +1,84 @@
+<style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>Je wilt producten verkopen, gederivatiseerd van je producten, 
+je wilt foto&#39;s verkopen van verschillende groottes of verschillende kwaliteit en daarvoor verschillende prijzen instellen? 
+Je verkoopt T-shirts met fotoprints, mokken of andere artikelen?
+  
+Deze plug-in voegt een formulier toe in fotopagina&#39;s waarin voorstellen aan de klant worden gedaan van de producten die mogelijk zijn om met die foto te maken.
+PayPal wordt gebruikt voor de transactie. Je MOET een PayPalaccount hebben. Zodra de order compleet is, heb je de foto, productnaam, de geselecteerde opties, de naam en het adres van de koper, direct vanaf je PayPalaccount.</p><br /> 
+<h4>Hoe te gebruiken?</h4>
+  <h5>1 Volgende toediening tab plug-in</h5>
+  <p style="font-weight:bold">1.1 _Configuratie_</p>
+  <ul> 
+  <li>Vul je PayPalcode of -email in;</li>
+  <li>De huidige gebruikte;</li>
+  <li>Verzendkosten als deze algemeen zijn. Zo niet, tel ze dan op bij de productprijzen;</li>
+  <li>Voeg zo nodig een korte beschrijving van je producten toe (bijv.: 100% katoen T-shirt, gemaakt in China...);</li>
+  <li>Voeg zo nodig extra informatie toe over delen van je producten (bijv.: kies een product uit de lijst);</li>
+  <li>En voeg zo nodig tekst toe om een uniek product aan de klant aan te bieden. (ex: available product).</li>
+  </ul>
+  
+  <p style="font-weight:bold">1.2 _Producten_</p>
+  <ul> 
+  <li>1.2.1 Voeg een product toe
+  <p>Vul de productnaam in;</p>
+  <p>Gebruik zo nodig extra informatie. Deze notitie is dan inzichtelijk in de beheerdersmodule van MyPiwiShop;</p>
+  <p>Vul de prijs in;</p>
+  <p>Selecteer of maak een optie aan (refer §3.1);<p>
+  <p>En verzend het hierna.</p>
+  </li>
+  <li>1.2.2 Productenlijst
+  <p>Klik op een of meer producten op de lijst om ze te verwijderen.</p>
+  <p>Je kan producten dupliceren of aanpassen.</p>
+  </li>
+  <li>1.2.3 Beheer productvolgorde in formulier
+  <p>Producten worden standaard weergegeven op volgorde van aanmaak van deze producten. You kan deze volgorde wijzigen door het product naar met de muis ingeklikt te houden en te verplaatsen in volgorde.</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Opties_</p>
+  <ul> 
+  <li>1.3.1 Voeg een optie toe
+  <p>Vul de optienaam in</p>
+  <p>Selecteer het optietype: Selecteer: combo box (ex: size s/l/xl/xxl); radio: radio button (ex:cadre yes/no); text: text field (ex: border width in cm); textarea: text erea (ex: Let's comment); Checkbox: check button (ex: I read and accept terms of use)</p>
+  <p>Als de optie verplicht is om in te vullen, vink dan die optie aan.</p>
+  <p>Voeg zo nodig extra informatie toe. Deze notitie is zichtbaar in de beheermodule van MyPiwiShop</p>
+  <p>Je moet sommige waardes aanmaken, afhankelijk van het type toegevoegde optie (select, radio en checkbox)</p>
+  <p>Pas vervolgens de wijzigingen toe.</p>
+  </li>
+  <li>1.3.2 Overzicht van producten
+  <p>Selecteer een of meer opties om te verwijderen.</p>
+  <p>Je kan elke optie wijzigen en dupliceren.</p>
+  </li>
+  <li>1.3.3 Beheer productvolgorde in formulier 
+  <p>Producten worden standaard weergegeven op volgorde van aanmaak van deze producten. You kan deze volgorde wijzigen door het product naar met de muis ingeklikt te houden en te verplaatsen in volgorde.</p>
+  </li>
+
+
+  <h5> 2 Piwigo administratie</h5>
+  <p>Nu moet je een of meer producten aan foto&#39;s linken. Gebruik hiervoor de pagina "Fotos/Batch manager".</p>
+  <br>
+  <li>2.1 Globale modus</li>
+  <p>Selecteer de afbeeldingen die je wilt linken aan je producten.<p>
+  <p>In het actiemenu, kies MyPiwiShop.<p>
+  <p>Selecteer je producten (Je kan ook producten deselecteren die al automatisch geselecteerd zijn voor deze foto&#39;s).</p>
+  <p>Bevestig dan je opties.</p>
+  <br>
+  <li>2.2 Enkele modus</li>
+  <p>Voor elke foto kan je de link "zie gerelateerde producten voor deze foto" bekijken.<p>
+  <p>Producten die gebruikt worden voor deze foto worden weergegeven.</p>
+  <p>Je kan producten selecteren en deselecteren om ze te linken aan de foto of juist de link met de foto te verwijderen.</p>
+  <p>Valideer vervolgens je keuzes.</p>
+</ul>